# Created by pyp2rpm-3.3.8
%global pypi_name autodocsumm

Name:           python-%{pypi_name}
Version:        0.2.14
Release:        %mkrel 2
Summary:        Extended sphinx autodoc including automatic autosummaries
Group:          Development/Python
License:        ASL 2.0
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Extending your autodoc API docs with a summary.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extending your autodoc API docs with a summary.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 0.2.14-2.mga10
+ Revision: 2158062
- rebuild for python3.13

* Sun Dec 15 2024 papoteur <papoteur> 0.2.14-1.mga10
+ Revision: 2125376
- new version 0.2.14

* Mon Dec 18 2023 papoteur <papoteur> 0.2.9-2.mga10
+ Revision: 2019035
- Mass Rebuild - Python 3.12

* Wed Sep 07 2022 wally <wally> 0.2.9-1.mga9
+ Revision: 1884977
- imported package python-autodocsumm

